VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV:
[legend]

## Public Member Functions

| AccelerationStructureInfoNV (AccelerationStructureTypeNV type_=AccelerationStructureTypeNV::eTopLevel, BuildAccelerationStructureFlagsNV flags_=BuildAccelerationStructureFlagsNV(), uint32_t instanceCount_=0, uint32_t geometryCount_=0, const GeometryNV *pGeometries_=nullptr)
| AccelerationStructureInfoNV (VkAccelerationStructureInfoNV const &rhs)
AccelerationStructureInfoNV & | operator= (VkAccelerationStructureInfoNV const &rhs)
AccelerationStructureInfoNV & | setPNext (const void *pNext_)
AccelerationStructureInfoNV & | setType (AccelerationStructureTypeNV type_)
AccelerationStructureInfoNV & | setFlags (BuildAccelerationStructureFlagsNV flags_)
AccelerationStructureInfoNV & | setInstanceCount (uint32_t instanceCount_)
AccelerationStructureInfoNV & | setGeometryCount (uint32_t geometryCount_)
AccelerationStructureInfoNV & | setPGeometries (const GeometryNV *pGeometries_)
| operator VkAccelerationStructureInfoNV const & () const
| operator VkAccelerationStructureInfoNV & ()
bool | operator== (AccelerationStructureInfoNV const &rhs) const
bool | operator!= (AccelerationStructureInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
AccelerationStructureTypeNV | type
BuildAccelerationStructureFlagsNV | flags
uint32_t | instanceCount
uint32_t | geometryCount
const GeometryNV * | pGeometries

## Private Attributes

StructureType | sType = StructureType::eAccelerationStructureInfoNV

## Detailed Description

Definition at line 37012 of file vulkan.hpp.

## Constructor & Destructor Documentation

## AccelerationStructureInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::AccelerationStructureInfoNV | ( | AccelerationStructureTypeNV | type_ = `AccelerationStructureTypeNV::eTopLevel`,
|  | BuildAccelerationStructureFlagsNV | flags_ = `BuildAccelerationStructureFlagsNV()`,
|  | uint32_t | instanceCount_ = `0`,
|  | uint32_t | geometryCount_ = `0`,
|  | const GeometryNV * | pGeometries_ = `nullptr`
| ) |  |

inline

Definition at line 37014 of file vulkan.hpp.

: type( type_ )
, flags( flags_ )
, instanceCount( instanceCount_ )
, geometryCount( geometryCount_ )
, pGeometries( pGeometries_ )
{
}

## AccelerationStructureInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::AccelerationStructureInfoNV | ( | VkAccelerationStructureInfoNV const & | rhs | ) |

inline

Definition at line 37027 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AccelerationStructureInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkAccelerationStructureInfoNV &()

VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::operator VkAccelerationStructureInfoNV & | ( |  | ) |

inline

Definition at line 37078 of file vulkan.hpp.

{
return *reinterpret_cast<VkAccelerationStructureInfoNV*>(this);
}

## operator VkAccelerationStructureInfoNV const &()

VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::operator VkAccelerationStructureInfoNV const & | ( |  | ) | const

inline

Definition at line 37073 of file vulkan.hpp.

{
return *reinterpret_cast<const VkAccelerationStructureInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::operator!= | ( | AccelerationStructureInfoNV const & | rhs | ) | const

inline

Definition at line 37094 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

AccelerationStructureInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::operator= | ( | VkAccelerationStructureInfoNV const & | rhs | ) |

inline

Definition at line 37032 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AccelerationStructureInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::operator== | ( | AccelerationStructureInfoNV const & | rhs | ) | const

inline

Definition at line 37083 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( type == rhs.type )
&& ( flags == rhs.flags )
&& ( instanceCount == rhs.instanceCount )
&& ( geometryCount == rhs.geometryCount )
&& ( pGeometries == rhs.pGeometries );
}

References flags, geometryCount, instanceCount, pGeometries, pNext, sType, and type.

Referenced by operator!=().

## setFlags()

AccelerationStructureInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::setFlags | ( | BuildAccelerationStructureFlagsNV | flags_ | ) |

inline

Definition at line 37049 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setGeometryCount()

AccelerationStructureInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::setGeometryCount | ( | uint32_t | geometryCount_ | ) |

inline

Definition at line 37061 of file vulkan.hpp.

{
geometryCount = geometryCount_;
return *this;
}

References geometryCount.

## setInstanceCount()

AccelerationStructureInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::setInstanceCount | ( | uint32_t | instanceCount_ | ) |

inline

Definition at line 37055 of file vulkan.hpp.

{
instanceCount = instanceCount_;
return *this;
}

References instanceCount.

## setPGeometries()

AccelerationStructureInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::setPGeometries | ( | const GeometryNV * | pGeometries_ | ) |

inline

Definition at line 37067 of file vulkan.hpp.

{
pGeometries = pGeometries_;
return *this;
}

References pGeometries.

## setPNext()

AccelerationStructureInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 37037 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setType()

AccelerationStructureInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::setType | ( | AccelerationStructureTypeNV | type_ | ) |

inline

Definition at line 37043 of file vulkan.hpp.

{
type = type_;
return *this;
}

## Field Documentation

## flags

BuildAccelerationStructureFlagsNV VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::flags

Definition at line 37105 of file vulkan.hpp.

Referenced by operator==().

## geometryCount

uint32_t VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::geometryCount

Definition at line 37107 of file vulkan.hpp.

Referenced by operator==(), and setGeometryCount().

## instanceCount

uint32_t VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::instanceCount

Definition at line 37106 of file vulkan.hpp.

Referenced by operator==(), and setInstanceCount().

## pGeometries

const GeometryNV* VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::pGeometries

Definition at line 37108 of file vulkan.hpp.

Referenced by operator==(), and setPGeometries().

## pNext

const void* VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::pNext = nullptr

Definition at line 37103 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::sType = StructureType::eAccelerationStructureInfoNV

private

Definition at line 37100 of file vulkan.hpp.

Referenced by operator==().

## type

AccelerationStructureTypeNV VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::type

Definition at line 37104 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::type
AccelerationStructureTypeNV type
Definition: vulkan.hpp:37104
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:37103
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::AccelerationStructureInfoNV
AccelerationStructureInfoNV(AccelerationStructureTypeNV type_=AccelerationStructureTypeNV::eTopLevel, BuildAccelerationStructureFlagsNV flags_=BuildAccelerationStructureFlagsNV(), uint32_t instanceCount_=0, uint32_t geometryCount_=0, const GeometryNV *pGeometries_=nullptr)
Definition: vulkan.hpp:37014
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::pGeometries
const GeometryNV * pGeometries
Definition: vulkan.hpp:37108
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::operator==
bool operator==(AccelerationStructureInfoNV const &rhs) const
Definition: vulkan.hpp:37083
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::sType
StructureType sType
Definition: vulkan.hpp:37100
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::instanceCount
uint32_t instanceCount
Definition: vulkan.hpp:37106
VkAccelerationStructureInfoNV
Definition: vulkan_core.h:8260
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::flags
BuildAccelerationStructureFlagsNV flags
Definition: vulkan.hpp:37105
VULKAN_HPP_NAMESPACE::AccelerationStructureInfoNV::geometryCount
uint32_t geometryCount
Definition: vulkan.hpp:37107